﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void LoadData()
        {
            ultraGrid1.DataSource = GetData();
            ultraGrid1.DataBind();

            peopleBindingSource.DataSource = GetData();
            ultraGrid2.DataSource = peopleBindingSource;
            ultraGrid2.DataBind();
        }
        private List<People> GetData()
        {
            return new List<People>(new People[]{new People{Name = "Pat"}, new People{ Name="Marion"} });
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            //Display a checkbox in the column header, where column's data type isBoolean,DefaultableBoolean, or Nullable Boolean.
            var selectorColumn = e.Layout.Bands[0].Columns["IsMale"];

            if (selectorColumn != null)
            {
                selectorColumn.Header.CheckBoxVisibility = HeaderCheckBoxVisibility.Always;
                //Aligns the Header checkbox to the right of the Header caption 
                selectorColumn.Header.CheckBoxAlignment = HeaderCheckBoxAlignment.Right;
                //The checkbox and the cell values are kept in synch to affect only the RowsCollection 
                selectorColumn.Header.CheckBoxSynchronization = HeaderCheckBoxSynchronization.RowsCollection;
                selectorColumn.Header.VisiblePosition = 0;
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            LoadData();
        }
    }

    public class People{
        public bool IsMale { get; set; }
        public string Name { get; set; }
    }
}
